import { UUICardElement } from '@umbraco-ui/uui-card/lib';
/**
 *  @element uui-card-user
 *  @description - Card component for displaying a user node.
 *  @slot - slot for the default content area
 *  @slot tag - slot for the tag with support for `<uui-tag>` elements
 *  @slot avatar - slot for the avatar with support for the `<uui-avatar>` element
 *  @slot actions - slot for the actions with support for the `<uui-action-bar>` element
 */
export declare class UUICardUserElement extends UUICardElement {
    #private;
    /**
     * User name
     * @type {string}
     * @attr name
     * @default ''
     */
    name: string;
    private _avatarSlotHasContent;
    private _avatarSlotChanged;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-card-user': UUICardUserElement;
    }
}
